#ifndef VG_PROGRESS_H
#define VG_PROGRESS_H

#define VG_PROGRESS_MAX_WARP_LOCKS 32

typedef struct
{

	char difficulty;
	char warp_lock[VG_PROGRESS_MAX_WARP_LOCKS];
	
} VG_PROGRESS_INFO;

void vg_progress_reset(VG_PROGRESS_INFO * pp);
int vg_progress_save(char * fn, VG_PROGRESS_INFO * pp);
int vg_progress_load(char * fn, VG_PROGRESS_INFO * pp);

#endif
